ISC DHCPの脆弱性(High: CVE-2021-25217)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

05/26/2021にISC DHCPの脆弱性(High: CVE-2021-25217)が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


【2021/05/28 05:30更新】Red Hat, Ubuntuの情報を追加しました。


[過去の関連リンク]


Priority

CVE番号 影響するバージョン 一次情報源 攻撃 Priority CVSS Score / CVSS Vector
CVE-2021-25217 ISC DHCP 4.1-ESV-R1 -> 4.1-ESV-R16, ISC DHCP 4.4.0 -> 4.4.2 CVE-2021-25217: A buffer overrun in lease file parsing code can be used to exploit a common vulnerability shared by dhcpd and dhclient

リモート

Vendor: High

dhclient: CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H/E:P/RL:O/RC:C

dhcpd: CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:P/RL:O/RC:C

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細は一次情報源をご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-25217
    • DNS rebind 攻撃の可能性
    • ISC DHCPパッケージでleaseファイルをパースして読むために使用されているコードに欠陥が見つかりました。

      カプセル化されたリースのoption情報が「ネットワーク上で」転送されたものと、ディスクストレージ上に書かれた後にパースされて読み込まれる情報に不一致があり、攻撃者がこれを利用して

      • dhcpdがDHCPv4又はDHCPv6モードで動作している
      • dhclientがISC DHCPクライアント実装を使用している

      場合にoptionでコードをパースするようなバグを発生させる状況をつくりだせる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。


セキュリティ系連載案内

CM

こちらで小学生の勉強支援サイトをオープンしました。算数のプリント(都度、自動生成)が無料でダウンロードできます。コンテンツは未だ少ないですが、徐々に増やしていきます。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

GUPnPの脆弱性(Important: CVE-2021-33516)

次へ

Linux Kernelの脆弱性(Moderate: CVE-2021-20177)